MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031455Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2020-03-20 23:382020-03-28 13:46
Reporterabv 
Assigned Tomsv 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031455: Modeling Algorithms - useless pointer casts in BRepAlgoAPI classes
DescriptionConstructors of classes BRepAlgoAPI_Common, BRepAlgoAPI_Fuse, and BRepAlgoAPI_Cut use weird but useless casts of this pointer that can be safely removed:

  BRepAlgoAPI_BooleanOperation* pBO=
    (BRepAlgoAPI_BooleanOperation*) (void*) this;
  pBO->Build();
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberbugs/modalg_7/bug31407_1,bugs/modalg_7/bug31407_2,bugs/modalg_7/bug31407_3
Attached Files

- Relationships

-  Notes
(0091099)
git (administrator)
2020-03-20 23:41

Branch CR31455 has been created by abv.

SHA-1: d187bed04620ee9fb925fc1f0a10bfbed6796424


Detailed log of new commits:

Author: abv
Date: Fri Mar 20 23:41:52 2020 +0300

    0031455: Modeling Algorithms - useless pointer casts in BRepAlgpAPI classes
    
    Useless casts are removed.
    
    Off-topic: corrected description of constructor of TCollection_HAsciiString class from TCollection_HExtendedString for the case when input string contains non-Ascii character.
(0091101)
abv (manager)
2020-03-21 06:55

Fix pushed to CR31455, please review (sorry cannot run Jenkins tests now as it is malfunctioning, will try later).
(0091185)
git (administrator)
2020-03-23 09:56

Branch CR31455 has been updated forcibly by msv.

SHA-1: ae3b26291b87b4cd75ec7ea0313a7bc5aef2e7e6
(0091186)
git (administrator)
2020-03-23 09:58

Branch CR31455 has been updated forcibly by msv.

SHA-1: 62afcbbb4afd58ba26c063e763b3f6dddefafdd6
(0091187)
msv (developer)
2020-03-23 10:00

I have made small corrections and rebased.
(0091261)
bugmaster (administrator)
2020-03-26 12:43

Combination -
OCCT branch : WEEK-13
master SHA - 89180f98222651faa3f1cffe9f6d5a9abae8a4e8
fe4497f3246e6bc1ced97ac331c148f0809ded15
Products branch : WEEK-13 SHA - f10b867b449ebfa55e0a3c8cb276ae511f9cf7f2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16843.850000000195 / 16846.320000000138 [-0.01%]
Products
Total CPU difference: 11298.030000000097 / 11306.210000000074 [-0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 18288.453125 / 18268.796875 [+0.11%]
Products
Total CPU difference: 13126.15625 / 13110.609375 [+0.12%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0091328)
git (administrator)
2020-03-28 13:46

Branch CR31455 has been deleted by inv.

SHA-1: 62afcbbb4afd58ba26c063e763b3f6dddefafdd6

- Related Changesets
occt: master 62afcbbb
Timestamp: 2020-03-20 20:41:52
Author: msv
Committer: msv
Details ] Diff ]
0031455: Modeling Algorithms - useless pointer casts in BRepAlgoAPI classes

Useless casts are removed.

Off-topic: corrected description of constructor of TCollection_HAsciiString class from TCollection_HExtendedString for the case when input string contains non-Ascii character.
mod - src/BRepAlgoAPI/BRepAlgoAPI_Common.cxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Cut.cxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Fuse.cxx Diff ] File ]
mod - src/TCollection/TCollection_HAsciiString.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-03-20 23:38 abv New Issue
2020-03-20 23:38 abv Assigned To => msv
2020-03-20 23:41 git Note Added: 0091099
2020-03-21 06:55 abv Note Added: 0091101
2020-03-21 06:55 abv Status new => resolved
2020-03-21 06:55 abv Steps to Reproduce Updated View Revisions
2020-03-23 09:30 msv Summary Modeling Algorithms - useless pointer casts in BRepAlgpAPI classes => Modeling Algorithms - useless pointer casts in BRepAlgoAPI classes
2020-03-23 09:56 git Note Added: 0091185
2020-03-23 09:58 git Note Added: 0091186
2020-03-23 10:00 msv Note Added: 0091187
2020-03-23 10:00 msv Assigned To msv => bugmaster
2020-03-23 10:00 msv Status resolved => reviewed
2020-03-26 12:43 bugmaster Note Added: 0091261
2020-03-26 12:43 bugmaster Status reviewed => tested
2020-03-26 12:47 bugmaster Test case number => bugs/modalg_7/bug31407_1,bugs/modalg_7/bug31407_2,bugs/modalg_7/bug31407_3
2020-03-28 13:36 msv Changeset attached => occt master 62afcbbb
2020-03-28 13:36 msv Assigned To bugmaster => msv
2020-03-28 13:36 msv Status tested => verified
2020-03-28 13:36 msv Resolution open => fixed
2020-03-28 13:46 git Note Added: 0091328


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker